Flags that are used internally with FeathersControl.invalidate() to track of which parts of the component need to be updated. These flags are merely suggestions, and custom components may support custom flags.

Generally, invalidation flags are not considered part of the public API for any component. They're meant o tbe used internally. With that in mind, calling invalidate() with a flag from outside the component means that you're probably doing something wrong.

Available since

1.0.0

.

Static variables

@:value("data")staticinlineread onlyDATA:String = "data"

Indicates that the primary data displayed by the UI control has changed.

Available since

1.0.0

.

@:value("focus")staticinlineread onlyFOCUS:String = "focus"

Indicate that the focused state of the UI control has changed.

Available since

1.0.0

.

@:value("layout")staticinlineread onlyLAYOUT:String = "layout"

Indicates that the layout of the UI control has changed.

Available since

1.0.0

.

@:value("scroll")staticinlineread onlySCROLL:String = "scroll"

Indicate that the scroll position of the UI control has changed.

Available since

1.0.0

.

@:value("selection")staticinlineread onlySELECTION:String = "selection"

Indicates that the selection of the UI control has changed.

Available since

1.0.0

.

@:value("size")staticinlineread onlySIZE:String = "size"

Indicates that the dimensions of the UI control have changed.

Available since

1.0.0

.

@:value("skin")staticinlineread onlySKIN:String = "skin"

Indicates that the skin of the UI control has changed.

Available since

1.0.0

.

@:value("state")staticinlineread onlySTATE:String = "state"

Indicate that the state has changed. Used when the enabled property of a Feathers component changes, but may be used for other component states too. For instance, a component that implements IStateContext may have multiple states.

Available since

1.0.0

.

See:

@:value("styles")staticinlineread onlySTYLES:String = "styles"

Indicates that the styles or visual appearance of the UI control has changed.

Available since

1.0.0

.